<h2>Bienvenue,</h2>

<br>

<% if (@vms_total != nil) then %>
<h3>
    <pre>Il y a <%= @vms_total %> VMs dans les clusters <%= @cluster_name %></pre>
</h3>
<% end %>
<% if (@cluster_name == nil) then %>
<h3>Netbox non-joignable (vérifier token/configuration)</h3>
<br>
<p>
    <pre>Votre token Netbox est : <%= current_user.netbox_token %></pre>
    <pre>Votre token Rundeck est : <%= current_user.rundeck_token %></pre>
</p>


<% else %>

<% if false %>

<% nodes = get_nodes() %>
<% if (nodes != nil)  then %>

<% # -*- coding: UTF-8 -* %>

<br>

<h3>Nodes </h3>
<div class="table-responsive-xl">
    <table class="table  table-striped table-bordered table-hover text-nowrap">
        <thead class="thead-dark">
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Status</th>
                <th scope="col">Uptime</th>

            </tr>
        </thead>
        <tbody>
            <% for node in nodes.sort_by { |hash| hash['node'] } %>
            <% if node.to_h["status"] == "online" %>       
            <tr>
                <td><%= node.to_h["node"] %></td>
                <td><span class="badge badge-pill badge-success"><%= node.to_h["status"] %></span></td>
                <td><%= distance_of_time_in_words(node.to_h["uptime"]) %></td>
            </tr>
            <% else %>
            <tr>
                <td><%= node.to_h["node"] %></td>
                <td><span class="badge badge-pill badge-danger"><%= node.to_h["status"] %></span></td>
                <td> Unavailable </td>
            </tr>
            <% end %>
            <% end %>
        </tbody>
    </table>
</div>
</br>
<% end %>
<% end %>


<% if (@vms_by_cluster != nil) then %>
<br>
<h3>Minions</h3>
<div class="table-responsive-xl">
<%= javascript_pack_tag 'table-sort.js'%>
    <table class="table  table-striped table-bordered table-hover text-nowrap table-sortable">
    
        <thead class="thead-dark">

            <tr>
                <th scope="col">ID</th>
                <th scope="col">Name</th>
                <th scope="col">Cluster</th>
                <th scope="col">vCPUs</th>
                <th scope="col">Mémoire</th>
                <th scope="col">Disque</th>
                <th scope="col">OS</th>
                <% if @ipv4Enabled == true %>
                <th scope="col">IPv4</th>
                <% end %>

                <% if @ipv6Enabled == true %>
                <th scope="col">IPv6</th>
                <% end %>
            </tr>
        </thead>

        <tbody>
            <% for vms in @vms_by_cluster %>
            <% for vm in vms %>

            <tr>
                <td>
                <% if vm[:custom_fields].to_h[@cf_vmid] == nil %>
                    Not Set </td>
                <td><a href="<%= "/show/" + vm[:id].to_s %>"><%= vm.name %></a></td>

                <% else %>
                <%= vm[:custom_fields].to_h[@cf_vmid] %></td>
                <td><a href="<%= "/show/" + vm[:id].to_s %>"><%= vm.name %></a></td>
                <%end%>

                <td><%= vm.cluster.name %></td>
                <td><%= vm.vcpus %></td>
                <td><%= vm.memory %>Mo</td>
                <td><%= vm.disk %>Go</td>
                    <% if vm[:platform].to_h["name"].include? "Debian" %>
                        <td><%= image_tag("debian.png", alt: "os", class: "os-logo")%><%= vm[:platform].to_h["name"] %></td>
                    <% elsif vm[:platform].to_h["name"].include? "FreeBSD" %>
                        <td><%= image_tag("freebsd.png", alt: "os", class: "os-logo")%><%= vm[:platform].to_h["name"] %></td>
                    <% elsif vm[:platform].to_h["name"].include? "Ubuntu" %>
                        <td><%= image_tag("ubuntu.png", alt: "os", class: "os-logo")%><%= vm[:platform].to_h["name"] %></td>
                    <% elsif vm[:platform].to_h["name"].include? "CentOS" %>
                        <td><%= image_tag("centos.png", alt: "os", class: "os-logo")%><%= vm[:platform].to_h["name"] %></td>
                    <% else %>
                        <td><%= vm[:platform].to_h["name"] %></td>
                    <% end %>
                    <% if @ipv4Enabled == true %>
                        <td><pre><%= vm[:primary_ip4].to_h["address"] %></pre></td>
                    <%end%>

                <% if @ipv6Enabled == true %>
                    <td><pre><%= vm[:primary_ip6].to_h["address"] %></pre></td>
                <%end%>
                
            </tr>
            <% end %>
            <% end %>
        </tbody>
    </table>
</div>
<% end %>

<% end %>

